编译xmame-0.106出错

游戏讨论
回复
头像
proming
帖子: 52
注册时间: 2006-04-03 10:38
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

编译xmame-0.106出错

#1

帖子 proming » 2006-07-30 20:44

代码: 全选

proming@proming-desktop:~/xmame-0.106$ make
Linking xmame.x11 ...
/usr/bin/ld:找不到 -lexpat
collect2: ld 返回 1
make: *** [xmame.x11] 错误 1
不清楚这个是什么错误
头像
IdeaLee
帖子: 90
注册时间: 2006-01-29 9:29
送出感谢: 0
接收感谢: 0

#2

帖子 IdeaLee » 2006-08-05 22:49

到官方 http://x.mame.net/ 下 rpm 包再用 alien 转成 deb 安装吧,我就是这样的,测试成功……
在现实面前,当然是理想错了……
头像
proming
帖子: 52
注册时间: 2006-04-03 10:38
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 proming » 2006-08-06 19:22

xmame-0.106-1rx3.src.rpm
xmame-SDL-0.106-1rx3.i586.rpm
xmame-base-0.106-1rx3.i586.rpm
xmame-x11-0.106-1rx3.i586.rpm
你下的是哪个呢
Hardware:
Lenovo ThinkPad T400
Processor: Intel Core2 Duo P8700
Memory: 2G
Disk: 320G

Ubuntu
Release 10.10
Kernel Linux 2.6.35-24-generic
GNOME 2.32.0

欢迎访问我的blog
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#4

帖子 Strange » 2006-08-07 12:59

没有expat库呀,expat是一个xml解析库
jameswang
帖子: 34
注册时间: 2005-09-02 13:44
送出感谢: 0
接收感谢: 0

#5

帖子 jameswang » 2006-08-31 15:53

aptitude install libexpat-dev
jameswang
帖子: 34
注册时间: 2005-09-02 13:44
送出感谢: 0
接收感谢: 0

#6

帖子 jameswang » 2006-08-31 16:52

我编译了一遍,还需要安装libxv-dev和libxext-dev才行。
回复

回到 “游戏和游戏模拟器”